# KPN LocationTag III v4

Tag for localization and movement monitoring.

* Supported network type(s): `KPNLORA`
* Device Specification ID: `kpn-locationtag-iii-v4`
* Device Specification UUID: `c6b5168d-5a57-49bb-adcf-d76417572229`

| Decoders                                      | decoderSpecificationUUID               | Description                                                                                                                                            |
| --------------------------------------------- | -------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| + LoRa Geolocation data                       | `931c53d7-8e79-4d32-b598-da8882c13d06` | Add [LoRa Geolocation](/kpn-things/getting-started/tutorials/technical-overview/location-data.md) data to messages where location could be calculated. |
| KPN LocationTag III v4 hex based decoder (v2) | `a0039c42-f7b1-50a7-8c15-4f80cafe40fe` | Decoder for KPN LocationTag III v4 LoRa payload.                                                                                                       |
| › KPN LocationTag III v4 hex based decoder    | `a7bc11f3-7383-4403-951a-35176ea9bc51` | KPN LocationTag III v4 hex based decoder                                                                                                               |

### + LoRa Geolocation data

Add [LoRa Geolocation](/kpn-things/getting-started/tutorials/technical-overview/location-data.md) data to messages where location could be calculated.

### KPN LocationTag III v4 hex based decoder (v2)

Decoder for KPN LocationTag III v4 LoRa payload.

{% hint style="info" %}
This decoder also decodes [Geolocation and Local Gateway](/kpn-things/getting-started/tutorials/technical-overview/location-data.md) data.
{% endhint %}

The following SenML records can be present, amongst others:

| name               | type    | unit | example | description |
| ------------------ | ------- | ---- | ------- | ----------- |
| alarmMode          | boolean |      |         |             |
| batteryVoltage     | number  | V    |         |             |
| detectedBeacon     | string  |      |         |             |
| dvLat              | number  | lat  |         |             |
| dvLon              | number  | lon  |         |             |
| dvTime             | number  | s    |         |             |
| monitionTime-H     | number  | s    |         |             |
| monitionTime-L     | number  | s    |         |             |
| monitionTime-M     | number  | s    |         |             |
| movementIndication | string  |      |         |             |
| timeOrigin         | string  |      |         |             |

#### Example SenML

{% hint style="info" %}
SenML can be structured in different ways, and we do not guarantee the examples below will look the same as what you will receive on your Destination. To make sure you can handle the SenML optimally, take a look at our documentation about [Understanding and Interpreting SenML Data](/kpn-things/building-blocks/data-processing/thingsml-and-senml/senml/understanding-and-interpreting-senml-data.md).
{% endhint %}

```json
[
    {
        "bn": "urn:dev:DEVEUI:0123456789012345:",
        "bt": 1693136532.83,
        "n": "dvTime",
        "u": "s",
        "v": 1702620097
    },
    {
        "n": "dvLon",
        "u": "lon",
        "v": 4.48940
    },
    {
        "n": "dvLat",
        "u": "lat",
        "v": 51.90717
    },
    {
        "n": "batteryVoltage",
        "u": "V",
        "v": 3.03
    },
    {
        "n": "detectedBeacon",
        "vs": "0000"
    },
    {
        "n": "monitionTime-H",
        "u": "s",
        "v": 3932160
    },
    {
        "n": "monitionTime-M",
        "u": "s",
        "v": 1075200
    },
    {
        "n": "monitionTime-L",
        "u": "s",
        "v": 13440
    },
    {
        "n": "alarmMode",
        "vb": false
    },
    {
        "n": "movementIndication",
        "vs": "STATIONARY"
    },
    {
        "n": "timeOrigin",
        "vs": "NETWORK"
    }
]
```

### › KPN LocationTag III v4 hex based decoder

KPN LocationTag III v4 hex based decoder

**Expected SenML records**

| name               | type    | unit |
| ------------------ | ------- | ---- |
| alarmMode          | boolean |      |
| batteryVoltage     | number  | V    |
| detectedBeacon     | string  |      |
| dvLat              | number  | lat  |
| dvLon              | number  | lon  |
| dvTime             | number  | s    |
| monitionTime-H     | number  | s    |
| monitionTime-L     | number  | s    |
| monitionTime-M     | number  | s    |
| movementIndication | string  | enum |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kpnthings.com/kpn-things/building-blocks/devices/trackers/kpn-locationtag-iii-v4.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
